
LFR-FSW - Bug #910

HK_LFR_DPU_SPW_LINK_STATE: ERROR_WAIT = 1

18/01/2017 10:26 AM - Veronique  bouzid

Status: Closed Start date: 18/01/2017

Priority: Normal Due date:  

Assignee: Veronique  bouzid % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

revision: r0   

Description

Le script utilisé est /home/validation/SCRIPT/R3+/just_hk_survey.py.

Extrait de la trace

15:05:37.397922, TM_LFR_HK, CCSDS_VERSION_NUMBER = 0, PACKET_TYPE: TM_PACKET = 0,

DATA_FIELD_HEADER_FLAG: WITH_HEADER = 1, PROCESS_ID: RPW_PID_2 = 76, PACKET_CATEGORY: HK_ROUTINE = 4,

(PACKET_ID=0xcc4), SEGMENTATION_GROUPING_FLAG: STANDALONE_PACKET = 3, SEQUENCE_CNT=51,

(PACKET_SEQUENCE_CONTROL=0xc033), PACKET_LENGTH=129, SPARE_1=0, PUS_VERSION = 1, SPARE_2=0,

SERVICE_TYPE: HOUSEKEEPING_AND_DIAGNOSTIC_DATA_REPORTING = 3, SERVICE_SUBTYPE:

HK_PARAMETER_REPORT = 25, DESTINATION_ID: GROUND = 0, TIME=0x80000035222c, PA_LFR_HK_REPORT_SID:

LFR_HK_SID = 1, HK_LFR_MODE: STANDBY = 0, HK_LFR_DPU_SPW_ENABLED: ENABLED = 1, 

HK_LFR_DPU_SPW_LINK_STATE: ERROR_WAIT = 1, SPARE=0x0,

et ceci durant tout le fichier.

--> QUID et observes tu cela sur ta mini-lfr

Pour info,

- version 3.1.0.2 et vhdl 1.1.89                          HK_LFR_DPU_SPW_LINK_STATE: RUN = 5

- version 3.1.0.4 et vhdl 1.1.91  et vhdl 3.1.91   HK_LFR_DPU_SPW_LINK_STATE: RUN = 5

Le problème apparait depuis la version 3.1.0.5 et vhdl 3.1.91.

Les fichiers (2017_01_17-15_05_46*) sont rangés dans le répertoire

/home/validation/data/R3+/3.1.0.6/3.1.91/TESTS-UNITAIRES/just_hk.

Contexte du test

----------------

FSW 3.1.0.6

VHDL 3.1.91

PFM sans Timegen

SocExplorerEngine.getSocExplorer: Version = 0.7.0, Branch = 0.6, Changeset = c459540a6dbd+

StarDundee

History

#1 - 19/01/2017 07:22 AM - paul leroy

Bug corrigé, il s'agissait d'un masque incorrect (effet collatéral de l'interdiction d'uiliser des valeurs littérales dans le code).

Il fallait avoir

#define STATUS_WORD_LINK_STATE_BITS         0x07    // [0000 0111]

au lieu de

#define STATUS_WORD_LINK_STATE_BITS         0x03    // [0000 0111]

Je corrige pour fsw >= 3.1.0.7

24/10/2021 1/2



#2 - 19/01/2017 07:23 AM - paul leroy

- Assignee changed from paul leroy to Veronique  bouzid

#3 - 03/02/2017 10:17 AM - Veronique  bouzid

- Status changed from New to Closed

Bug corrigé en 3.1.0.7.

Le script utilisé est /home/validation/SCRIPT/just_hk_survey.py.

la trace montre que le champ HK_LFR_DPU_SPW_LINK_STATE est bien positionné à 5.

10:00:37.755202, TM_LFR_HK, CCSDS_VERSION_NUMBER = 0, PACKET_TYPE: TM_PACKET = 0, DATA_FIELD_HEADER_FLAG:

WITH_HEADER = 1, PROCESS_ID: RPW_PID_2 = 76, PACKET_CATEGORY: HK_ROUTINE = 4, (PACKET_ID=0xcc4),

SEGMENTATION_GROUPING_FLAG: STANDALONE_PACKET = 3, SEQUENCE_CNT=0, (PACKET_SEQUENCE_CONTROL=0xc000),

PACKET_LENGTH=129, SPARE_1=0, PUS_VERSION = 1, SPARE_2=0, SERVICE_TYPE:

HOUSEKEEPING_AND_DIAGNOSTIC_DATA_REPORTING = 3, SERVICE_SUBTYPE: HK_PARAMETER_REPORT = 25, DESTINATION_ID:

GROUND = 0, TIME=0x80000002222e, PA_LFR_HK_REPORT_SID: LFR_HK_SID = 1, HK_LFR_MODE: STANDBY = 0,

HK_LFR_DPU_SPW_ENABLED: ENABLED = 1, HK_LFR_DPU_SPW_LINK_STATE: RUN = 5, SPARE=0x0,

et durant le test cette valeur n est pas modifiée.

Les fichiers de log ( 2017_02_03-10_01_06*) sont rangés dans le répertoire

/home/validation/data/R3+/3.1.0.7/1.1.91/TESTS-UNITAIRES/just_hk

Contexte du test

----------------

FSW 3.1.0.7

VHDL 1.1.91

EM1 sans Timegen

SocExplorerEngine.getSocExplorer: Version = 0.7.0, Branch = 0.6, Changeset = c459540a6dbd+

StarDundee
